> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timesdb.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List keys



## OpenAPI

````yaml get /keys
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /keys:
    get:
      tags:
        - keys
      summary: Get
      operationId: get_keys_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPage_ApiKeyResponse_'
      security:
        - HTTPBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CursorPage_ApiKeyResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ApiKeyResponse'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
          title: Total
          description: Total items
        current_page:
          anyOf:
            - type: string
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: CursorPage[ApiKeyResponse]
    ApiKeyResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/ApiKeyStatus'
        secret:
          type: string
          title: Secret
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - status
        - secret
        - created_at
      title: ApiKeyResponse
    ApiKeyStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      title: ApiKeyStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.